From f9cd4a50461afb2385acf110352517eb6ab371f4 Mon Sep 17 00:00:00 2001
From: Daniel Mierswa <impulze@impulze.org>
Date: Sat, 30 Jan 2010 23:17:26 +0100
Subject: [PATCH 08/10] Use "the compiler" in configure output instead of $CC.

We could also be using CXX/OBJC compiler. So "the compiler" is more
generic and the user doesn't gain much by seeing his compiler over and
over again anyway.

Signed-off-by: Daniel Mierswa <impulze@impulze.org>
---
 m4/vlc_compiler.m4      |    2 +-
 m4/vlc_optimizations.m4 |   32 ++++++++++++++++----------------
 2 files changed, 17 insertions(+), 17 deletions(-)

diff --git a/m4/vlc_compiler.m4 b/m4/vlc_compiler.m4
index a3dd07b..040ae4f 100644
--- a/m4/vlc_compiler.m4
+++ b/m4/vlc_compiler.m4
@@ -56,7 +56,7 @@ AC_DEFUN([COMPILEFLAG_CHECK], [
   m4_pushdef([cvar],
              [ac_cv_compflags_]m4_default([$2], m4_tolower(m4_bpatsubst($1, [[- ]], [_]))))
 
-  AC_CACHE_CHECK([if \$CC accepts $1], cvar, [
+  AC_CACHE_CHECK([if the compiler accepts $1], cvar, [
     APPEND_VAR([CFLAGS], [$1])
     APPEND_VAR([CXXFLAGS], [$1])
     APPEND_VAR([OBJCFLAGS], [$1])
diff --git a/m4/vlc_optimizations.m4 b/m4/vlc_optimizations.m4
index 7dc8ff2..ea66548 100644
--- a/m4/vlc_optimizations.m4
+++ b/m4/vlc_optimizations.m4
@@ -9,7 +9,7 @@ AC_DEFUN([VLC_CHECK_MMX], [
   VLC_FEATURE_OPTION([mmx], [enable MMX optimizations], [auto])
 
   AS_IF([VLC_FEATURE_ENABLED([mmx])], [
-    AC_CACHE_CHECK([if $CC groks MMX intrinsics], [ac_cv_c_mmx_intrinsics], [
+    AC_CACHE_CHECK([if the compiler groks MMX intrinsics], [ac_cv_c_mmx_intrinsics], [
       CFLAGS="${CFLAGS_save} -O -mmmx"
       AC_COMPILE_IFELSE([
         AC_LANG_PROGRAM([[#include <mmintrin.h>
@@ -34,7 +34,7 @@ AC_DEFUN([VLC_CHECK_MMX], [
                 [Define to 1 if MMX intrinsics are available.])
     ])
 
-    AC_CACHE_CHECK([if $CC groks MMX inline assembly], [ac_cv_mmx_inline], [
+    AC_CACHE_CHECK([if the compiler groks MMX inline assembly], [ac_cv_mmx_inline], [
       AC_COMPILE_IFELSE([
         AC_LANG_PROGRAM(,[[void *p;
                            asm volatile("packuswb %%mm1,%%mm2"::"r"(p));]])
@@ -48,7 +48,7 @@ AC_DEFUN([VLC_CHECK_MMX], [
                 [Define to 1 inline MMX assembly is available.])
     ])
 
-    AC_CACHE_CHECK([if $CC groks MMX EXT inline assembly], [ac_cv_mmxext_inline], [
+    AC_CACHE_CHECK([if the compiler groks MMX EXT inline assembly], [ac_cv_mmxext_inline], [
       AC_COMPILE_IFELSE([
         AC_LANG_PROGRAM(,[[void *p;
                            asm volatile("maskmovq %%mm1,%%mm2"::"r"(p));]])
@@ -76,7 +76,7 @@ AC_DEFUN([VLC_CHECK_SSE], [
   VLC_FEATURE_OPTION([sse], [enable SSE (1, 2, 3 and 4) optimizations], [auto])
 
   AS_IF([VLC_FEATURE_ENABLED([sse])], [
-    AC_CACHE_CHECK([if $CC groks SSE2 intrinsics], [ac_cv_c_sse2_intrinsics], [
+    AC_CACHE_CHECK([if the compiler groks SSE2 intrinsics], [ac_cv_c_sse2_intrinsics], [
       CFLAGS="${CFLAGS_save} -O -msse2"
       AC_COMPILE_IFELSE([
         AC_LANG_PROGRAM([[#include <emmintrin.h>
@@ -102,7 +102,7 @@ AC_DEFUN([VLC_CHECK_SSE], [
     ])
 
     # SSE1
-    AC_CACHE_CHECK([if $CC groks SSE inline assembly], [ac_cv_sse_inline], [
+    AC_CACHE_CHECK([if the compiler groks SSE inline assembly], [ac_cv_sse_inline], [
       AC_COMPILE_IFELSE([
         AC_LANG_PROGRAM(,[[void *p;
                            asm volatile("xorps %%xmm1,%%xmm2"::"r"(p));]])
@@ -116,10 +116,10 @@ AC_DEFUN([VLC_CHECK_SSE], [
                 [Define to 1 if SSE inline assembly is available.])
     ])
 
-    AC_CACHE_CHECK([if $CC groks SSE2 inline assembly], [ac_cv_sse2_inline], [
+    AC_CACHE_CHECK([if the compiler groks SSE2 inline assembly], [ac_cv_sse2_inline], [
       AC_COMPILE_IFELSE([
         AC_LANG_PROGRAM(,[[void *p;
-                         asm volatile("punpckhqdq %%xmm1,%%xmm2"::"r"(p));]])
+                           asm volatile("punpckhqdq %%xmm1,%%xmm2"::"r"(p));]])
       ],
       [ac_cv_sse2_inline="yes"], [ac_cv_sse2_inline="no"])
     ])
@@ -131,7 +131,7 @@ AC_DEFUN([VLC_CHECK_SSE], [
     ])
 
     # SSE3
-    AC_CACHE_CHECK([if $CC groks SSE3 inline assembly], [ac_cv_sse3_inline], [
+    AC_CACHE_CHECK([if the compiler groks SSE3 inline assembly], [ac_cv_sse3_inline], [
       AC_COMPILE_IFELSE([
         AC_LANG_PROGRAM(,[[void *p;
                            asm volatile("movsldup %%xmm1,%%xmm0"::"r"(p));]])
@@ -145,7 +145,7 @@ AC_DEFUN([VLC_CHECK_SSE], [
     ])
 
     # SSSE3
-    AC_CACHE_CHECK([if $CC groks SSSE3 inline assembly], [ac_cv_ssse3_inline], [
+    AC_CACHE_CHECK([if the compiler groks SSSE3 inline assembly], [ac_cv_ssse3_inline], [
       CFLAGS="${CFLAGS_save}"
       AC_COMPILE_IFELSE([
         AC_LANG_PROGRAM(,[[void *p;
@@ -160,7 +160,7 @@ AC_DEFUN([VLC_CHECK_SSE], [
     ])
 
     # SSE4.1
-    AC_CACHE_CHECK([if $CC groks SSE4.1 inline assembly], [ac_cv_sse4_1_inline], [
+    AC_CACHE_CHECK([if the compiler groks SSE4.1 inline assembly], [ac_cv_sse4_1_inline], [
       CFLAGS="${CFLAGS_save}"
       AC_COMPILE_IFELSE([
         AC_LANG_PROGRAM(,[[void *p;
@@ -175,7 +175,7 @@ AC_DEFUN([VLC_CHECK_SSE], [
     ])
 
     # SSE4.2
-    AC_CACHE_CHECK([if $CC groks SSE4.2 inline assembly], [ac_cv_sse4_2_inline], [
+    AC_CACHE_CHECK([if the compiler groks SSE4.2 inline assembly], [ac_cv_sse4_2_inline], [
       CFLAGS="${CFLAGS_save}"
       AC_COMPILE_IFELSE([
         AC_LANG_PROGRAM(,[[void *p;
@@ -190,7 +190,7 @@ AC_DEFUN([VLC_CHECK_SSE], [
     ])
 
     # SSE4A
-    AC_CACHE_CHECK([if $CC groks SSE4A inline assembly], [ac_cv_sse4a_inline], [
+    AC_CACHE_CHECK([if the compiler groks SSE4A inline assembly], [ac_cv_sse4a_inline], [
       AC_COMPILE_IFELSE([
         AC_LANG_PROGRAM(,[[void *p;
                            asm volatile("insertq %%xmm1,%%xmm0"::"r"(p));]])
@@ -211,7 +211,7 @@ AC_DEFUN([VLC_CHECK_SSE], [
 
 dnl Check for working 3D Now!
 AC_DEFUN([VLC_CHECK_3DNOW], [
-  AC_CACHE_CHECK([if $CC groks 3D Now! inline assembly], [ac_cv_3dnow_inline], [
+  AC_CACHE_CHECK([if the compiler groks 3D Now! inline assembly], [ac_cv_3dnow_inline], [
     AC_COMPILE_IFELSE([
       AC_LANG_PROGRAM(,[[void *p;
                          asm volatile("pfadd %%mm1,%%mm2"::"r"(p));]])
@@ -235,7 +235,7 @@ AC_DEFUN([VLC_CHECK_NEON], [
   VLC_FEATURE_OPTION([neon], [enable NEON optimizations], [auto])
 
   AS_IF([VLC_FEATURE_ENABLED([neon])], [
-    AC_CACHE_CHECK([if $CC groks NEON inline assembly], [ac_cv_neon_inline], [
+    AC_CACHE_CHECK([if the compiler groks NEON inline assembly], [ac_cv_neon_inline], [
       CFLAGS="${CFLAGS_save} -mfpu=neon"
       AC_COMPILE_IFELSE([
         AC_LANG_PROGRAM(,[[asm volatile("vqmovun.s64 d0, q1":::"d0");]])
@@ -259,7 +259,7 @@ AC_DEFUN([VLC_CHECK_ALTIVEC], [
   VLC_FEATURE_OPTION([altivec], [enable AltiVec optimizations], [auto])
 
   AS_IF([VLC_FEATURE_ENABLED([altivec])], [
-    AC_CACHE_CHECK([if $CC groks AltiVec inline assembly], [ac_cv_altivec_inline], [
+    AC_CACHE_CHECK([if the compiler groks AltiVec inline assembly], [ac_cv_altivec_inline], [
       AC_COMPILE_IFELSE([
         AC_LANG_PROGRAM(,[[asm volatile("vperm 0,1,2,3");]])
       ], [ac_cv_altivec_inline="yes"], [
@@ -288,7 +288,7 @@ AC_DEFUN([VLC_CHECK_ALTIVEC], [
     dnl - Linux PPC, gcc 3.x: need <altivec.h> and -fvec
     dnl - Others: test should fail
 
-    AC_CACHE_CHECK([if \$CC groks AltiVec C extensions], [ac_cv_c_altivec], [
+    AC_CACHE_CHECK([if the compiler groks AltiVec C extensions], [ac_cv_c_altivec], [
       # OS X/PPC test (gcc 4.x)
       CFLAGS="${CFLAGS_save} -mpim-altivec -force_cpusubtype_ALL"
       AC_COMPILE_IFELSE([
-- 
1.6.6.1


